For clean Markdown of any page, append .md to the page URL. For a complete documentation index, see https://api-docs.hindsiteind.com/hindsite-api/assets/llms.txt. For full documentation content, see https://api-docs.hindsiteind.com/hindsite-api/assets/llms-full.txt.

# Get V 2 Assets

GET https://app.hindsiteind.com/api/v2/assets

Reference: https://api-docs.hindsiteind.com/hindsite-api/assets/get-v-2-assets

## OpenAPI Specification

```yaml
openapi: 3.1.0
info:
  title: collection
  version: 1.0.0
paths:
  /v2/assets:
    get:
      operationId: get-v-2-assets
      summary: Get V 2 Assets
      tags:
        - subpackage_assets
      parameters:
        - name: location_ids
          in: query
          required: false
          schema:
            type: string
        - name: Authorization
          in: header
          description: >-
            OAuth 2.0 Client Credentials Flow. To obtain an access token:


            1. Request API credentials from HINDSITE support to receive your
            `client_id` and `client_secret`


            2. Make a POST request to obtain an access token:

            ```

            POST https://app.hindsiteind.com/oauth/token

            Content-Type: application/x-www-form-urlencoded


            grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

            ```


            3. The response will contain your access token:

            ```json

            {
              "access_token": "your_access_token_here",
              "token_type": "Bearer",
              "expires_in": 7200,
              "created_at": 1234567890
            }

            ```


            4. Include the token in subsequent API requests:

            ```

            Authorization: Bearer your_access_token_here

            ```
          required: true
          schema:
            type: string
      responses:
        '200':
          description: get Asset(s)
          content:
            application/json:
              schema:
                type: array
                items:
                  $ref: '#/components/schemas/Asset'
servers:
  - url: https://app.hindsiteind.com/api
components:
  schemas:
    CustomFieldValue:
      type: object
      properties:
        id:
          type: string
          description: ULID
        custom_field_definition_id:
          type: string
          description: ULID
        name:
          type: string
        value:
          type: string
      title: CustomFieldValue
    Location:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        address:
          type: string
        company_id:
          type: string
          description: ULID
        company_name:
          type: string
        archived:
          type: boolean
        external_id:
          type: string
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        can_manage:
          type: boolean
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Location
    MakeDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: MakeDetail
    ManufacturerDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: ManufacturerDetail
    ModelDetail:
      type: object
      properties:
        id:
          type: string
          description: ULID
        value:
          type: string
        detail_type:
          type: string
      title: ModelDetail
    User:
      type: object
      properties:
        id:
          type: string
          description: ULID
        email:
          type: string
        name:
          type: string
        is_admin:
          type: boolean
        location_manager:
          type: boolean
        last_active_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        archived:
          type: boolean
        organisation_id:
          type: string
          description: ULID
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: User
    AssetStatus:
      type: object
      properties:
        id:
          type: string
          description: ULID
        description:
          type: string
        downtime_type:
          type: string
        status_name:
          type: string
        status_type:
          type: string
        normalised_status_name:
          type: string
        started_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        user:
          $ref: '#/components/schemas/User'
      title: AssetStatus
    CustomFieldDefinition:
      type: object
      properties:
        id:
          type: string
          description: ULID
        name:
          type: string
        customisable_entity_name:
          type: string
        field_type:
          type: string
        required:
          type: boolean
        options:
          description: Any type
        sort_order:
          type: integer
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: CustomFieldDefinition
    Asset:
      type: object
      properties:
        id:
          type: string
          description: ULID
        identifier:
          type: string
        serial:
          type: string
        location_id:
          type: string
          description: ULID
        parent_id:
          type: string
          description: ULID
        manufacturer_detail_id:
          type: string
          description: ULID
        make_detail_id:
          type: string
          description: ULID
        model_detail_id:
          type: string
          description: ULID
        editable:
          type: boolean
        location:
          $ref: '#/components/schemas/Location'
        make_detail:
          $ref: '#/components/schemas/MakeDetail'
        manufacturer_detail:
          $ref: '#/components/schemas/ManufacturerDetail'
        model_detail:
          $ref: '#/components/schemas/ModelDetail'
        status:
          $ref: '#/components/schemas/AssetStatus'
        parent:
          $ref: '#/components/schemas/Asset'
        custom_fields:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldValue'
        custom_field_definitions:
          type: array
          items:
            $ref: '#/components/schemas/CustomFieldDefinition'
        related_assets:
          type: array
          items:
            $ref: '#/components/schemas/Asset'
        created_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
        updated_at:
          type: integer
          format: int64
          description: Unix timestamp (seconds since epoch)
      title: Asset
  securitySchemes:
    OAuth2:
      type: http
      scheme: bearer
      description: >-
        OAuth 2.0 Client Credentials Flow. To obtain an access token:


        1. Request API credentials from HINDSITE support to receive your
        `client_id` and `client_secret`


        2. Make a POST request to obtain an access token:

        ```

        POST https://app.hindsiteind.com/oauth/token

        Content-Type: application/x-www-form-urlencoded


        grant_type=client_credentials&client_id=YOUR_CLIENT_ID&client_secret=YOUR_CLIENT_SECRET

        ```


        3. The response will contain your access token:

        ```json

        {
          "access_token": "your_access_token_here",
          "token_type": "Bearer",
          "expires_in": 7200,
          "created_at": 1234567890
        }

        ```


        4. Include the token in subsequent API requests:

        ```

        Authorization: Bearer your_access_token_here

        ```

```

## SDK Code Examples

```python
import requests

url = "https://app.hindsiteind.com/api/v2/assets"

headers = {"Authorization": "Bearer <token>"}

response = requests.get(url, headers=headers)

print(response.json())
```

```javascript
const url = 'https://app.hindsiteind.com/api/v2/assets';
const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};

try {
  const response = await fetch(url, options);
  const data = await response.json();
  console.log(data);
} catch (error) {
  console.error(error);
}
```

```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

	url := "https://app.hindsiteind.com/api/v2/assets"

	req, _ := http.NewRequest("GET", url, nil)

	req.Header.Add("Authorization", "Bearer <token>")

	res, _ := http.DefaultClient.Do(req)

	defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

	fmt.Println(res)
	fmt.Println(string(body))

}
```

```ruby
require 'uri'
require 'net/http'

url = URI("https://app.hindsiteind.com/api/v2/assets")

http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true

request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'

response = http.request(request)
puts response.read_body
```

```java
import com.mashape.unirest.http.HttpResponse;
import com.mashape.unirest.http.Unirest;

HttpResponse<String> response = Unirest.get("https://app.hindsiteind.com/api/v2/assets")
  .header("Authorization", "Bearer <token>")
  .asString();
```

```php
<?php
require_once('vendor/autoload.php');

$client = new \GuzzleHttp\Client();

$response = $client->request('GET', 'https://app.hindsiteind.com/api/v2/assets', [
  'headers' => [
    'Authorization' => 'Bearer <token>',
  ],
]);

echo $response->getBody();
```

```csharp
using RestSharp;

var client = new RestClient("https://app.hindsiteind.com/api/v2/assets");
var request = new RestRequest(Method.GET);
request.AddHeader("Authorization", "Bearer <token>");
IRestResponse response = client.Execute(request);
```

```swift
import Foundation

let headers = ["Authorization": "Bearer <token>"]

let request = NSMutableURLRequest(url: NSURL(string: "https://app.hindsiteind.com/api/v2/assets")! as URL,
                                        cachePolicy: .useProtocolCachePolicy,
                                    timeoutInterval: 10.0)
request.httpMethod = "GET"
request.allHTTPHeaderFields = headers

let session = URLSession.shared
let dataTask = session.dataTask(with: request as URLRequest, completionHandler: { (data, response, error) -> Void in
  if (error != nil) {
    print(error as Any)
  } else {
    let httpResponse = response as? HTTPURLResponse
    print(httpResponse)
  }
})

dataTask.resume()
```